%define with_doc 1
%{?_with_doc: %{expand: %%global with_doc 1}}

Summary:	D-Bus service for Fingerprint reader access
Name:		fprintd
Version:	0.7.0
Release:	1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://www.freedesktop.org/wiki/Software/fprint/fprintd
Source0:	http://freedesktop.org/~hadess/%{name}-%{version}.tar.xz
%if %{with_doc}
BuildRequires:	gtk-doc
%endif
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libfprint) >= 0.4.0
BuildRequires:	pkgconfig(polkit-agent-1)

%description
D-Bus service to access fingerprint readers.

%files -f %{name}.lang
%doc README COPYING AUTHORS TODO
%{_bindir}/fprintd-*
%{_libexecdir}/fprintd
# FIXME This file should be marked as config when it does something useful
%{_sysconfdir}/fprintd.conf
%{_sysconfdir}/dbus-1/system.d/net.reactivated.Fprint.conf
%{_datadir}/dbus-1/system-services/net.reactivated.Fprint.service
%{_datadir}/polkit-1/actions/net.reactivated.fprint.device.policy
/lib/systemd/system/fprintd.service
%{_localstatedir}/lib/fprint
%{_mandir}/man1/fprintd.*

#--------------------------------------------------------------------

%package pam
Summary:	PAM module for fingerprint authentication
Group:		System/Kernel and hardware
Requires:	%{name} = %{EVRD}
# Note that we obsolete pam_fprint, but as the configuration
# is different, it will be mentioned in the release notes
Provides:	pam_fprint = %{EVRD}
Obsoletes:	pam_fprint < 0.2-5

%description pam
PAM module that uses the fprintd D-Bus service for fingerprint
authentication.

%files pam
%doc pam/README
/%{_lib}/security/pam_fprintd.so

#--------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{EVRD}
Requires:	gtk-doc

%description devel
Development documentation for fprintd, the D-Bus service for
fingerprint readers access.

%files devel
%if %{with_doc}
%{_datadir}/gtk-doc/html/fprintd
%endif
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Device.xml
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Manager.xml

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
%if %{with_doc}
	--enable-gtk-doc \
%endif
	--enable-pam \
	--libdir=/%{_lib}/

%make

%install
%makeinstall_std
mkdir -p %{buildroot}/%{_localstatedir}/lib/fprint

mkdir -p %{buildroot}/lib/systemd/system/
sed -e "s|\@libexecdir\@|%{_libexecdir}|" data/fprintd.service.in > \
	%{buildroot}/lib/systemd/system/fprintd.service

rm -f %{buildroot}/%{_lib}/security/pam_fprintd.{a,la,so.*}

%find_lang %{name}


%changelog

* Tue Dec 13 2016 tremod <negry.m@yandex.ru> 0.7.0-1
- (6af0e39) Update to 0.7.0


